{
  "custom": {},
  "params": {
    "equipmentPathIn": "",
    "equipmentPathOut": ""
  },
  "propConfig": {
    "params.equipmentPathIn": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.equipmentPathOut": {
      "binding": {
        "config": {
          "path": "/root/mesObjectSelector.props.selectedMESObject.equipmentPath"
        },
        "overlayOptOut": true,
        "type": "property"
      },
      "paramDirection": "output",
      "persistent": true
    }
  },
  "props": {},
  "root": {
    "children": [
      {
        "meta": {
          "name": "Title"
        },
        "position": {
          "breakpoints": [
            {
              "colIndex": 0,
              "name": "sm",
              "order": 1,
              "rowIndex": 0,
              "span": 12
            },
            {
              "colIndex": 0,
              "name": "md",
              "order": 1,
              "rowIndex": 0,
              "span": 12
            },
            {
              "colIndex": 0,
              "name": "lg",
              "order": 1,
              "rowIndex": 0,
              "span": 12
            }
          ],
          "height": 27
        },
        "props": {
          "params": {
            "icon": "settings",
            "icon_hover": "auto",
            "text": "Settings"
          },
          "path": "Page/Embedded/Title"
        },
        "type": "ia.display.view"
      },
      {
        "custom": {
          "linePath": "New Enterprise\\Site 1\\Area 1\\Packaging Line 1"
        },
        "meta": {
          "name": "mesObjectSelector"
        },
        "position": {
          "breakpoints": [
            {
              "colIndex": 1,
              "name": "sm",
              "order": 1,
              "rowIndex": 1,
              "span": 10
            },
            {
              "colIndex": 2,
              "name": "md",
              "order": 1,
              "rowIndex": 1,
              "span": 8
            },
            {
              "colIndex": 4,
              "name": "lg",
              "order": 1,
              "rowIndex": 1,
              "span": 4
            }
          ],
          "height": 39
        },
        "propConfig": {
          "props.selectedMESObject.equipmentPath": {
            "binding": {
              "config": {
                "path": "view.params.equipmentPathIn"
              },
              "enabled": false,
              "type": "property"
            }
          },
          "props.selectedMESObject.mesObjectUUID": {
            "binding": {
              "config": {
                "path": "view.params.equipmentPathIn"
              },
              "transforms": [
                {
                  "code": "\tif value:\n\t\treturn str(system.mes.getMESObjectLinkByEquipmentPath(value).getMESObject().getUUID())\n\treturn \u0027\u0027",
                  "type": "script"
                }
              ],
              "type": "property"
            }
          }
        },
        "props": {
          "displayText": "Select Line/Equipment",
          "includeMESLineCellObjects": true,
          "includeMESLineObjects": true,
          "inputDropDownStyle": {
            "fontFamily": "Roboto",
            "fontSize": 15
          },
          "inputStyle": {
            "fontFamily": "Roboto",
            "fontSize": 15
          },
          "selectedMESObject": {},
          "showEquipmentPath": true
        },
        "type": "mes.production.mesObjectSelector"
      }
    ],
    "meta": {
      "name": "root"
    },
    "type": "ia.container.column"
  }
}